Subject: Re: Win95b and long filenames of the /usr mount
From: [email-masked] (Bill Klein)

3 Jun 1997 01:52:52 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.2 (32)
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Kevin Layer wrote:
>I don't know if this has been reported yet, but the OSR2 release of
>Windows 95 (aka "Windows 95b") doesn't have a DOS that allows long
>filenames.  This means that until Windows starts you can't put
>...\H-i386-cygwin32\bin in your PATH.  This also means you have a
>classic chicken and egg problem: if you do it after Windows starts,
>then all processes started by the explorer won't inherit the new
>PATH.

If I'm not mistaken, I didn't have a problem using
long file names for my path (they would just be
ignored until windows loads)... But if I am mistaken
(always a good possiblity), you can just use the
short representation of the folder names in the
path. For example, if you have something in

  c:\my cool path\my neat program\

You can add the path:

  c:\mycool~1\myneat~1\

Hope this helps!

Bill Klein <[email-masked]> - http://bk.base.org/

"For every browser, there is an equal and
 opposite rebrowser."
                              -Bill Klein
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".